Bug 1287206 - Cannot download private images with new version of Docker
Cannot download private images with new version of Docker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 13:44 EST by Christopher Beland
Modified: 2015-12-10 20:50 EST (History)
10 users (show)

See Also:
Fixed In Version: docker-1.9.1-4.git6ec29ef.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 20:50:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2015-12-01 13:44:26 EST
This problem IS happening in docker-1:1.9.1-2.git78bc3ea.fc23.x86_64 but is NOT happening in docker-1:1.7.0-22.gitdcff4e1.fc23.x86_64.  These are packaged by Fedora; this is also NOT happening in docker-engine-1.9.1-1.fc22.x86_64 which I downloaded directly from the Docker Project.  (Though it's named fc22 I'm running it on Fedora 23.)

"docker login" works:

Username: cbeland
Password: 
Email: cbeland@noodle.com
WARNING: login credentials saved in /home/beland/.docker/config.json
Login Succeeded

but "docker pull noodle/memcached" doesn't:

Using default tag: latest
Trying to pull repository docker.io/noodle/memcached ... not found
Error: image noodle/memcached:latest not found

I have the same trouble pulling any of the private images I have access to, but only when I use that particular version of the docker RPM; after a "dnf downgrade" and reboot I'm able to download successfully on the same machine.
Comment 1 Michal Minar 2015-12-03 05:19:57 EST
Thank you, Christopher, for the report.
The  docker-1:1.9.1-2.git78bc3ea.fc23.x86_64 release is buggy indeed. Fix is available in docker-1.9.1-3.git64eb95e.fc22 which is currently only in Fedora 22 repos (though it works on f23 as well).

Lokesh, you may switch this to MODIFIED once f23 is rebuilt. Thanks.
Comment 2 Fedora Update System 2015-12-09 04:31:26 EST
docker-1.9.1-4.git6ec29ef.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5917f166c6
Comment 3 Fedora Update System 2015-12-09 23:55:32 EST
docker-1.9.1-4.git6ec29ef.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update docker'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5917f166c6
Comment 4 Fedora Update System 2015-12-10 20:50:19 EST
docker-1.9.1-4.git6ec29ef.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.